#### Previous topic

minimize(method=’CG’)

#### Next topic

minimize(method=’Newton-CG’)

# minimize(method=’BFGS’)

`scipy.optimize.``minimize`(fun, x0, args=(), method='BFGS', jac=None, tol=None, callback=None, options={'disp': False, 'gtol': 1e-05, 'eps': 1.4901161193847656e-08, 'return_all': False, 'maxiter': None, 'norm': inf})

  Minimization of scalar function of one or more variables using the BFGS algorithm.

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize`

  Options:

  disp : bool

  > Set to True to print convergence messages.

  maxiter : int

  > Maximum number of iterations to perform.

  gtol : float

  > Gradient norm must be less than gtol before successful termination.

  norm : float

  > Order of norm (Inf is max, -Inf is min).

  eps : float or ndarray

  > If jac is approximated, use this value for the step size.